#!/bin/sh

killall -CONT NetworkManager
nmcli d set ifname wlp1s0 managed no
sleep 5
iw dev wlp1s0 interface add wlp1s0_ap type managed
sleep 5
macchanger -r wlp1s0_ap
SERIAL=$(sudo dmidecode -s system-serial-number | grep -o '....$')
sed -in "s/ssid=.*/ssid=SwiftNav-PEP-$SERIAL/g" /etc/hostapd/hostapd.conf
sleep 5
/usr/sbin/hostapd -d -B /etc/hostapd/hostapd.conf -P /run/hostapd.pid
sleep 5
nmcli d set ifname wlp1s0 managed yes
sleep 5
killall -STOP NetworkManager

