#!/bin/sh
#Usage: ./wifi-connect.sh <SSID> <PASSWORD>

sudo killall -CONT NetworkManager

if [ $(sudo nmcli radio wifi) = "disabled" ]
then
        echo ERROR: Wi-Fi is currently off. Turn it on by running the ./wifi-radio-on.sh script.
elif [ $(sudo nmcli radio wifi) = "enabled" ]
then
        echo This command will temporarily disable Wi-Fi access point.
        sudo nmcli d wifi connect "$1" password "$2" ifname wlp1s0
fi

sudo killall -STOP NetworkManager # stop NetworkManager to prevent auto-scanning
